nmfFormals {NMF} | R Documentation

## Showing Arguments of NMF Algorithms

### Description

This function returns the extra arguments that can be passed to a given NMF algorithm in call to `nmf`.

`nmfArgs` is a shortcut for `args(nmfWrapper(x))`, to display the arguments of a given NMF algorithm.

### Usage

      nmfFormals(x, ...)

      nmfArgs(x)

### Arguments

`x` | algorithm specification
`...` | extra argument to allow extension

### Examples

    # show arguments of an NMF algorithm
    nmfArgs('brunet')
    nmfArgs('snmf/r')

[Package NMF version 0.20.6 Index]